C Function giving the equilibrium mole fraction of carbon in ferrite
C based on my paper on first order quasichemical theory, Metal Science
C
      DOUBLE PRECISION FUNCTION MAP_STEEL_XALPH(T)
C
      IMPLICIT NONE
      DOUBLE PRECISION T,CTEMP,T0
      PARAMETER(T0=273.0D0)
C
      CTEMP = (T-T0)/900.0D+00
      MAP_STEEL_XALPH=0.1528D-02-0.8816D-02*CTEMP+0.2450D-01*CTEMP**2
     &-0.2417D-01*CTEMP**3+
     &0.6966D-02*CTEMP**4
C
      RETURN
      END
C


